This document lists the events and parameters for
various types of
Data Migration Audit activity events. You can retrieve these events by
calling [Activities.list()](https://developers.google.com/workspace/admin/reports/v1/reference/activities/list)
with `applicationName=data_migration`.

## A configuration for migration was modified


Creation or modification of a migration configuration, e.g., identity map upload or settings update.
Events of this type are returned with `type=MIGRATION_SETUP`.

### Create Connection

Creating a connection.
Event details Event name `CREATE_CONNECTION` Parameters `MIGRATION_TYPE` `string`


Migration Type of the event.
`TARGET_IDENTIFIER` `string`


Target Identifier of the data migrated in the event.
`TARGET_URI` `string`


Target URI of the data migrated in the event.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/data_migration?eventName=CREATE_CONNECTION&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Create Connection for {MIGRATION_TYPE}`

### Create Migration Map

Creating a migration map.
Event details Event name `CREATE_MIGRATION_MAP` Parameters `MIGRATION_TYPE` `string`


Migration Type of the event.
`TARGET_IDENTIFIER` `string`


Target Identifier of the data migrated in the event.
`TARGET_URI` `string`


Target URI of the data migrated in the event.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/data_migration?eventName=CREATE_MIGRATION_MAP&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Create migration map for {MIGRATION_TYPE}`

### Delete Connection

Deleting a connection.
Event details Event name `DELETE_CONNECTION` Parameters `MIGRATION_TYPE` `string`


Migration Type of the event.
`TARGET_IDENTIFIER` `string`


Target Identifier of the data migrated in the event.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/data_migration?eventName=DELETE_CONNECTION&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Delete connection for {MIGRATION_TYPE}`

### Exit Migration

Exiting a migration.
Event details Event name `EXIT_MIGRATION` Parameters `MIGRATION_TYPE` `string`


Migration Type of the event.
`TARGET_IDENTIFIER` `string`


Target Identifier of the data migrated in the event.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/data_migration?eventName=EXIT_MIGRATION&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Exit {MIGRATION_TYPE}`

### Grant Consent

Granting consent.
Event details Event name `GRANT_CONSENT` Parameters `MIGRATION_TYPE` `string`


Migration Type of the event.
`TARGET_IDENTIFIER` `string`


Target Identifier of the data migrated in the event.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/data_migration?eventName=GRANT_CONSENT&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Grant consent for {MIGRATION_TYPE}`

### Request Connection Verification

Requesting a connection verification.
Event details Event name `REQUEST_CONNECTION_VERIFICATION` Parameters `MIGRATION_TYPE` `string`


Migration Type of the event.
`TARGET_IDENTIFIER` `string`


Target Identifier of the data migrated in the event.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/data_migration?eventName=REQUEST_CONNECTION_VERIFICATION&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Request connection verification for {MIGRATION_TYPE}`

### Start Migration

Starting a migration.
Event details Event name `START_MIGRATION` Parameters `EXECUTION_ID` `string`


Execution Id of the migration associated with this event.
`MIGRATION_TYPE` `string`


Migration Type of the event.
`TARGET_IDENTIFIER` `string`


Target Identifier of the data migrated in the event.
`TARGET_URI` `string`


Target URI of the data migrated in the event.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/data_migration?eventName=START_MIGRATION&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Start {MIGRATION_TYPE}`

### Start Migration Report Download

Starting migration report download.
Event details Event name `START_MIGRATION_REPORT_DOWNLOAD` Parameters `EXECUTION_ID` `string`


Execution Id of the migration associated with this event.
`MIGRATION_TYPE` `string`


Migration Type of the event.
`TARGET_IDENTIFIER` `string`


Target Identifier of the data migrated in the event.
`TARGET_URI` `string`


Target URI of the data migrated in the event.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/data_migration?eventName=START_MIGRATION_REPORT_DOWNLOAD&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Start migration report download for {MIGRATION_TYPE}`

### Start Migration Setup

Starting migration setup.
Event details Event name `START_MIGRATION_SETUP` Parameters `MIGRATION_TYPE` `string`


Migration Type of the event.
`TARGET_IDENTIFIER` `string`


Target Identifier of the data migrated in the event.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/data_migration?eventName=START_MIGRATION_SETUP&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Start {MIGRATION_TYPE} setup`

### Start Migration Summary Report Download

Downloading migration summary report.
Event details Event name `START_MIGRATION_SUMMARY_REPORT_DOWNLOAD` Parameters `EXECUTION_ID` `string`


Execution Id of the migration associated with this event.
`MIGRATION_TYPE` `string`


Migration Type of the event.
`TARGET_IDENTIFIER` `string`


Target Identifier of the data migrated in the event.
`TARGET_URI` `string`


Target URI of the data migrated in the event.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/data_migration?eventName=START_MIGRATION_SUMMARY_REPORT_DOWNLOAD&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Download migration summary report for {MIGRATION_TYPE}`

### Stop Migration

Stopping a migration.
Event details Event name `STOP_MIGRATION` Parameters `EXECUTION_ID` `string`


Execution Id of the migration associated with this event.
`MIGRATION_TYPE` `string`


Migration Type of the event.
`TARGET_IDENTIFIER` `string`


Target Identifier of the data migrated in the event.
`TARGET_URI` `string`


Target URI of the data migrated in the event.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/data_migration?eventName=STOP_MIGRATION&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Stop {MIGRATION_TYPE}`

### Update Migration Settings

Updating migration settings.
Event details Event name `UPDATE_MIGRATION_SETTINGS` Parameters `MIGRATION_TYPE` `string`


Migration Type of the event.
`TARGET_IDENTIFIER` `string`


Target Identifier of the data migrated in the event.
`TARGET_URI` `string`


Target URI of the data migrated in the event.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/data_migration?eventName=UPDATE_MIGRATION_SETTINGS&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Update migration settings for {MIGRATION_TYPE}`

## A data object was migrated


Migration of a data object from source to target.
Events of this type are returned with `type=MIGRATION`.

### Crawl failure

A data crawl has failed.
Event details Event name `CRAWL_FAILURE` Parameters `EXECUTION_ID` `string`


Execution Id of the migration associated with this event.
`MIGRATION_TYPE` `string`


Migration Type of the event.
`SOURCE_IDENTIFIER` `string`


Source Identifier of the data migrated in the event.
`SOURCE_TYPE` `string`


Source Type of the data being migrated in the event.
`SOURCE_URI` `string`


Source URI of the data migrated in the event.
`TARGET_IDENTIFIER` `string`


Target Identifier of the data migrated in the event.
`TARGET_TYPE` `string`


Target Type of the data migrated in the event.
`TARGET_URI` `string`


Target URI of the data migrated in the event.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/data_migration?eventName=CRAWL_FAILURE&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Something went wrong during the crawl. Please check the error message for more details.`

### Create Calendar

Creating a Google Calendar.
Event details Event name `CREATE_CALENDAR` Parameters `EXECUTION_ID` `string`


Execution Id of the migration associated with this event.
`MIGRATION_TYPE` `string`


Migration Type of the event.
`SOURCE_IDENTIFIER` `string`


Source Identifier of the data migrated in the event.
`SOURCE_TYPE` `string`


Source Type of the data being migrated in the event.
`SOURCE_URI` `string`


Source URI of the data migrated in the event.
`TARGET_IDENTIFIER` `string`


Target Identifier of the data migrated in the event.
`TARGET_TYPE` `string`


Target Type of the data migrated in the event.
`TARGET_URI` `string`


Target URI of the data migrated in the event.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/data_migration?eventName=CREATE_CALENDAR&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Migrate {SOURCE_TYPE} to Google Calendar`

### Create Calendar ACL

Creating a Google Calendar ACL.
Event details Event name `CREATE_CALENDAR_ACL` Parameters `EXECUTION_ID` `string`


Execution Id of the migration associated with this event.
`MIGRATION_TYPE` `string`


Migration Type of the event.
`SOURCE_IDENTIFIER` `string`


Source Identifier of the data migrated in the event.
`SOURCE_TYPE` `string`


Source Type of the data being migrated in the event.
`SOURCE_URI` `string`


Source URI of the data migrated in the event.
`TARGET_IDENTIFIER` `string`


Target Identifier of the data migrated in the event.
`TARGET_TYPE` `string`


Target Type of the data migrated in the event.
`TARGET_URI` `string`


Target URI of the data migrated in the event.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/data_migration?eventName=CREATE_CALENDAR_ACL&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Migrate {SOURCE_TYPE} to Google Calendar ACL`

### Create Calendar Event

Creating a Google Calendar Event.
Event details Event name `CREATE_CALENDAR_EVENT` Parameters `EXECUTION_ID` `string`


Execution Id of the migration associated with this event.
`MIGRATION_TYPE` `string`


Migration Type of the event.
`SOURCE_IDENTIFIER` `string`


Source Identifier of the data migrated in the event.
`SOURCE_TYPE` `string`


Source Type of the data being migrated in the event.
`SOURCE_URI` `string`


Source URI of the data migrated in the event.
`TARGET_IDENTIFIER` `string`


Target Identifier of the data migrated in the event.
`TARGET_TYPE` `string`


Target Type of the data migrated in the event.
`TARGET_URI` `string`


Target URI of the data migrated in the event.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/data_migration?eventName=CREATE_CALENDAR_EVENT&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Migrate {SOURCE_TYPE} to Google Calendar Event`

### Create Calendar User Settings

A Google Calendar user setting is created.
Event details Event name `CREATE_CALENDAR_USER_SETTINGS` Parameters `EXECUTION_ID` `string`


Execution Id of the migration associated with this event.
`MIGRATION_TYPE` `string`


Migration Type of the event.
`SOURCE_IDENTIFIER` `string`


Source Identifier of the data migrated in the event.
`SOURCE_TYPE` `string`


Source Type of the data being migrated in the event.
`SOURCE_URI` `string`


Source URI of the data migrated in the event.
`TARGET_IDENTIFIER` `string`


Target Identifier of the data migrated in the event.
`TARGET_TYPE` `string`


Target Type of the data migrated in the event.
`TARGET_URI` `string`


Target URI of the data migrated in the event.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/data_migration?eventName=CREATE_CALENDAR_USER_SETTINGS&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Migrate {SOURCE_TYPE} to Google Calendar User Settings`

### Create Contact

Creating a Google Contact.
Event details Event name `CREATE_CONTACT` Parameters `EXECUTION_ID` `string`


Execution Id of the migration associated with this event.
`MIGRATION_TYPE` `string`


Migration Type of the event.
`SOURCE_IDENTIFIER` `string`


Source Identifier of the data migrated in the event.
`SOURCE_TYPE` `string`


Source Type of the data being migrated in the event.
`SOURCE_URI` `string`


Source URI of the data migrated in the event.
`TARGET_IDENTIFIER` `string`


Target Identifier of the data migrated in the event.
`TARGET_TYPE` `string`


Target Type of the data migrated in the event.
`TARGET_URI` `string`


Target URI of the data migrated in the event.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/data_migration?eventName=CREATE_CONTACT&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Migrate {SOURCE_TYPE} to Google Contact`

### Create Contact Group

Creating a Google Contact Group.
Event details Event name `CREATE_CONTACT_GROUP` Parameters `EXECUTION_ID` `string`


Execution Id of the migration associated with this event.
`MIGRATION_TYPE` `string`


Migration Type of the event.
`SOURCE_IDENTIFIER` `string`


Source Identifier of the data migrated in the event.
`SOURCE_TYPE` `string`


Source Type of the data being migrated in the event.
`SOURCE_URI` `string`


Source URI of the data migrated in the event.
`TARGET_IDENTIFIER` `string`


Target Identifier of the data migrated in the event.
`TARGET_TYPE` `string`


Target Type of the data migrated in the event.
`TARGET_URI` `string`


Target URI of the data migrated in the event.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/data_migration?eventName=CREATE_CONTACT_GROUP&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Migrate Source {SOURCE_TYPE} to Google Contact Group`

### Create File

Creating a Google Drive File.
Event details Event name `CREATE_FILE` Parameters `EXECUTION_ID` `string`


Execution Id of the migration associated with this event.
`MIGRATION_TYPE` `string`


Migration Type of the event.
`SOURCE_IDENTIFIER` `string`


Source Identifier of the data migrated in the event.
`SOURCE_TYPE` `string`


Source Type of the data being migrated in the event.
`SOURCE_URI` `string`


Source URI of the data migrated in the event.
`TARGET_IDENTIFIER` `string`


Target Identifier of the data migrated in the event.
`TARGET_TYPE` `string`


Target Type of the data migrated in the event.
`TARGET_URI` `string`


Target URI of the data migrated in the event.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/data_migration?eventName=CREATE_FILE&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Migrate {SOURCE_TYPE} to Google Drive File`

### Create File Version

Creating a Google Drive File Version.
Event details Event name `CREATE_FILE_VERSION` Parameters `EXECUTION_ID` `string`


Execution Id of the migration associated with this event.
`MIGRATION_TYPE` `string`


Migration Type of the event.
`SOURCE_IDENTIFIER` `string`


Source Identifier of the data migrated in the event.
`SOURCE_TYPE` `string`


Source Type of the data being migrated in the event.
`SOURCE_URI` `string`


Source URI of the data migrated in the event.
`TARGET_IDENTIFIER` `string`


Target Identifier of the data migrated in the event.
`TARGET_TYPE` `string`


Target Type of the data migrated in the event.
`TARGET_URI` `string`


Target URI of the data migrated in the event.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/data_migration?eventName=CREATE_FILE_VERSION&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Migrate {SOURCE_TYPE} to Google Drive File Version`

### Create Folder

Creating a Google Drive Folder.
Event details Event name `CREATE_FOLDER` Parameters `EXECUTION_ID` `string`


Execution Id of the migration associated with this event.
`MIGRATION_TYPE` `string`


Migration Type of the event.
`SOURCE_IDENTIFIER` `string`


Source Identifier of the data migrated in the event.
`SOURCE_TYPE` `string`


Source Type of the data being migrated in the event.
`SOURCE_URI` `string`


Source URI of the data migrated in the event.
`TARGET_IDENTIFIER` `string`


Target Identifier of the data migrated in the event.
`TARGET_TYPE` `string`


Target Type of the data migrated in the event.
`TARGET_URI` `string`


Target URI of the data migrated in the event.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/data_migration?eventName=CREATE_FOLDER&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Migrate {SOURCE_TYPE} to Google Drive Folder`

### Create Gmail Label

Creating a Gmail Label.
Event details Event name `CREATE_GMAIL_LABEL` Parameters `EXECUTION_ID` `string`


Execution Id of the migration associated with this event.
`MIGRATION_TYPE` `string`


Migration Type of the event.
`SOURCE_IDENTIFIER` `string`


Source Identifier of the data migrated in the event.
`SOURCE_TYPE` `string`


Source Type of the data being migrated in the event.
`SOURCE_URI` `string`


Source URI of the data migrated in the event.
`TARGET_IDENTIFIER` `string`


Target Identifier of the data migrated in the event.
`TARGET_TYPE` `string`


Target Type of the data migrated in the event.
`TARGET_URI` `string`


Target URI of the data migrated in the event.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/data_migration?eventName=CREATE_GMAIL_LABEL&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Migrate {SOURCE_TYPE} to Gmail Label`

### Create Gmail Message

Creating a Gmail Message.
Event details Event name `CREATE_GMAIL_MESSAGE` Parameters `EXECUTION_ID` `string`


Execution Id of the migration associated with this event.
`MIGRATION_TYPE` `string`


Migration Type of the event.
`SOURCE_IDENTIFIER` `string`


Source Identifier of the data migrated in the event.
`SOURCE_TYPE` `string`


Source Type of the data being migrated in the event.
`SOURCE_URI` `string`


Source URI of the data migrated in the event.
`TARGET_IDENTIFIER` `string`


Target Identifier of the data migrated in the event.
`TARGET_TYPE` `string`


Target Type of the data migrated in the event.
`TARGET_URI` `string`


Target URI of the data migrated in the event.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/data_migration?eventName=CREATE_GMAIL_MESSAGE&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Migrate {SOURCE_TYPE} to Gmail Message`

### Create Space

Creating a Google Space.
Event details Event name `CREATE_SPACE` Parameters `EXECUTION_ID` `string`


Execution Id of the migration associated with this event.
`MIGRATION_TYPE` `string`


Migration Type of the event.
`SOURCE_IDENTIFIER` `string`


Source Identifier of the data migrated in the event.
`SOURCE_TYPE` `string`


Source Type of the data being migrated in the event.
`SOURCE_URI` `string`


Source URI of the data migrated in the event.
`TARGET_IDENTIFIER` `string`


Target Identifier of the data migrated in the event.
`TARGET_TYPE` `string`


Target Type of the data migrated in the event.
`TARGET_URI` `string`


Target URI of the data migrated in the event.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/data_migration?eventName=CREATE_SPACE&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Migrate Source {SOURCE_TYPE} to Google Space`

### Create Space Membership

Creating a Google Space Membership.
Event details Event name `CREATE_SPACE_MEMBERSHIP` Parameters `EXECUTION_ID` `string`


Execution Id of the migration associated with this event.
`MIGRATION_TYPE` `string`


Migration Type of the event.
`SOURCE_IDENTIFIER` `string`


Source Identifier of the data migrated in the event.
`SOURCE_TYPE` `string`


Source Type of the data being migrated in the event.
`SOURCE_URI` `string`


Source URI of the data migrated in the event.
`TARGET_IDENTIFIER` `string`


Target Identifier of the data migrated in the event.
`TARGET_TYPE` `string`


Target Type of the data migrated in the event.
`TARGET_URI` `string`


Target URI of the data migrated in the event.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/data_migration?eventName=CREATE_SPACE_MEMBERSHIP&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Migrate {SOURCE_TYPE} to Google Space Membership`

### Create Space Message

Creating a Google Space message.
Event details Event name `CREATE_SPACE_MESSAGE` Parameters `EXECUTION_ID` `string`


Execution Id of the migration associated with this event.
`MIGRATION_TYPE` `string`


Migration Type of the event.
`SOURCE_IDENTIFIER` `string`


Source Identifier of the data migrated in the event.
`SOURCE_TYPE` `string`


Source Type of the data being migrated in the event.
`SOURCE_URI` `string`


Source URI of the data migrated in the event.
`TARGET_IDENTIFIER` `string`


Target Identifier of the data migrated in the event.
`TARGET_TYPE` `string`


Target Type of the data migrated in the event.
`TARGET_URI` `string`


Target URI of the data migrated in the event.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/data_migration?eventName=CREATE_SPACE_MESSAGE&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Migrate {SOURCE_TYPE} to Google Space Message`

### Go Live Space

A Space is going live.
Event details Event name `GO_LIVE_SPACE` Parameters `EXECUTION_ID` `string`


Execution Id of the migration associated with this event.
`MIGRATION_TYPE` `string`


Migration Type of the event.
`SOURCE_IDENTIFIER` `string`


Source Identifier of the data migrated in the event.
`SOURCE_TYPE` `string`


Source Type of the data being migrated in the event.
`SOURCE_URI` `string`


Source URI of the data migrated in the event.
`TARGET_IDENTIFIER` `string`


Target Identifier of the data migrated in the event.
`TARGET_TYPE` `string`


Target Type of the data migrated in the event.
`TARGET_URI` `string`


Target URI of the data migrated in the event.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/data_migration?eventName=GO_LIVE_SPACE&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Make your Google Space go live`